org.apache.lucene.search.payloads

## Class PayloadNearQuery.PayloadNearSpanWeight

- java.lang.Object
- - org.apache.lucene.search.Weight
  - - org.apache.lucene.search.spans.SpanWeight
    - - org.apache.lucene.search.payloads.PayloadNearQuery.PayloadNearSpanWeight

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    PayloadNearQuery

      public class PayloadNearQuery.PayloadNearSpanWeight
      extends SpanWeight

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.spans.SpanWeight

      `idf, query, queryNorm, queryWeight, similarity, terms, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PayloadNearSpanWeight(SpanQuery query, Searcher searcher)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Scorer` | `scorer(IndexReader reader)`
    `Scorer` | `scorer(IndexReader reader, boolean scoreDocsInOrder, boolean topScorer)` Returns a `Scorer` which scores documents in/out-of order according to `scoreDocsInOrder`.

    - ### Methods inherited from class org.apache.lucene.search.spans.SpanWeight

      `explain, getQuery, getValue, normalize, sumOfSquaredWeights`

    - ### Methods inherited from class org.apache.lucene.search.Weight

      `scoresDocsOutOfOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PayloadNearSpanWeight

          public PayloadNearSpanWeight(SpanQuery query,
                                       Searcher searcher)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### scorer

          public Scorer scorer(IndexReader reader)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### scorer

          public Scorer scorer(IndexReader reader,
                               boolean scoreDocsInOrder,
                               boolean topScorer)
                        throws java.io.IOException

      Description copied from class: `Weight`
      Returns a `Scorer` which scores documents in/out-of order according to `scoreDocsInOrder`.

      NOTE: even if `scoreDocsInOrder` is false, it is recommended to check whether the returned `Scorer` indeed scores documents out of order (i.e., call `Weight.scoresDocsOutOfOrder()`), as some `Scorer` implementations will always return documents in-order.
      NOTE: null can be returned if no documents will be scored by this query.

      Overrides:
        `scorer` in class `SpanWeight`
      Parameters:
        `reader` - the `IndexReader` for which to return the `Scorer`.
        `scoreDocsInOrder` - specifies whether in-order scoring of documents is required. Note that if set to false (i.e., out-of-order scoring is required), this method can return whatever scoring mode it supports, as every in-order scorer is also an out-of-order one. However, an out-of-order scorer may not support `DocIdSetIterator.nextDoc()` and/or `DocIdSetIterator.advance(int)`, therefore it is recommended to request an in-order scorer if use of these methods is required.
        `topScorer` - if true, `Scorer.score(Collector)` will be called; if false, `DocIdSetIterator.nextDoc()` and/or `DocIdSetIterator.advance(int)` will be called.
      Returns:
        a `Scorer` which scores documents in/out-of order.
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.